# class Cairo

#### package lime.graphics.cairo

Available on all platforms

### Constructor

###

`new (?surface:CairoSurface)`

### Variables

###

`antialias:CairoAntialias`

###

`read onlycurrentPoint:Vector2`

###

`dash:Array<Float>`

###

`read onlydashCount:Int`

###

`fillRule:CairoFillRule`

###

`fontFace:CairoFontFace`

###

`fontOptions:CairoFontOptions`

###

`read onlygroupTarget:CairoSurface`

###

`read onlyhasCurrentPoint:Bool`

###

`lineCap:CairoLineCap`

###

`lineJoin:CairoLineJoin`

###

`lineWidth:Float`

###

`matrix:Matrix3`

###

`miterLimit:Float`

###

`operator:CairoOperator`

###

`source:CairoPattern`

###

`read onlytarget:CairoSurface`

###

`tolerance:Float`

###

`userData:Dynamic`

### Methods

###

`arc (xc:Float, yc:Float, radius:Float, angle1:Float, angle2:Float):Void`

###

`arcNegative (xc:Float, yc:Float, radius:Float, angle1:Float, angle2:Float):Void`

###

`clip ():Void`

###

`clipExtents (x1:Float, y1:Float, x2:Float, y2:Float):Void`

###

`clipPreserve ():Void`

###

`closePath ():Void`

###

`copyPage ():Void`

###

`curveTo (x1:Float, y1:Float, x2:Float, y2:Float, x3:Float, y3:Float):Void`

###

`fill ():Void`

###

`fillExtents (x1:Float, y1:Float, x2:Float, y2:Float):Void`

###

`fillPreserve ():Void`

###

`identityMatrix ():Void`

###

`inClip (x:Float, y:Float):Bool`

###

`inFill (x:Float, y:Float):Bool`

###

`inStroke (x:Float, y:Float):Bool`

###

`lineTo (x:Float, y:Float):Void`

###

`mask (pattern:CairoPattern):Void`

###

`maskSurface (surface:CairoSurface, x:Float, y:Float):Void`

###

`moveTo (x:Float, y:Float):Void`

###

`newPath ():Void`

###

`paint ():Void`

###

`paintWithAlpha (alpha:Float):Void`

###

`popGroup ():CairoPattern`

###

`popGroupToSource ():Void`

###

`pushGroup ():Void`

###

`pushGroupWithContent (content:CairoContent):Void`

###

`rectangle (x:Float, y:Float, width:Float, height:Float):Void`

###

`relCurveTo (dx1:Float, dy1:Float, dx2:Float, dy2:Float, dx3:Float, dy3:Float):Void`

###

`relLineTo (dx:Float, dy:Float):Void`

###

`relMoveTo (dx:Float, dy:Float):Void`

###

`resetClip ():Void`

###

`restore ():Void`

###

`rotate (amount:Float):Void`

###

`save ():Void`

###

`scale (x:Float, y:Float):Void`

###

`setFontSize (size:Float):Void`

###

`setSourceRGB (r:Float, g:Float, b:Float):Void`

###

`setSourceRGBA (r:Float, g:Float, b:Float, a:Float):Void`

###

`setSourceSurface (surface:CairoSurface, x:Float, y:Float):Void`

###

`showGlyphs (glyphs:Array<CairoGlyph>):Void`

###

`showPage ():Void`

###

`showText (utf8:String):Void`

###

`status ():CairoStatus`

###

`stroke ():Void`

###

`strokeExtents (x1:Float, y1:Float, x2:Float, y2:Float):Void`

###

`strokePreserve ():Void`

###

`textPath (utf8:String):Void`

###

`transform (matrix:Matrix3):Void`

###

`translate (x:Float, y:Float):Void`

### Static variables

###

`staticread onlyversion:Int`

###

`staticread onlyversionString:String`